# Wallet Decryption

## Create a card

> The Create Card allows clients to register a digital wallet credential in the Credential Management Platform (CMP) using an encrypted wallet payment token. Supported wallet types include Apple Pay.\
> \
> The request accepts the encrypted wallet payload, which is securely decrypted by VGS to extract the underlying credential details and create a card linked to a specific account. Each request results in the creation of a new card and returns a 201 response with a new Card ID, even if the same DPAN or MPAN is submitted multiple times. Duplicate detection and deduplication logic are not supported for this card type.\
> \
> The \`payment\_method\` object (\`display\_name\`, \`network\`, \`type\`) is optional in the request. If these fields are provided, their values will be echoed back in the response. If they are not included in the request, they will not be returned.<br>

```json
{"openapi":"3.1.0","info":{"title":"VGS Card Management Platform (CMP) API - POST /cards (encrypted only)","version":"doc version 2.2.9 | API version 1.0.0"},"tags":[{"name":"Wallet Decryption"}],"servers":[{"url":"https://sandbox.vgsapi.com","description":"Sandbox environment server used for integration and testing. Uses network sandboxes in addition to mocked data sources."},{"url":"https://vgsapi.com","description":"Live environment server used for production workloads."}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"EncryptedCardResourceRequest":{"type":"object","additionalProperties":false,"required":["data"],"properties":{"data":{"type":"object","additionalProperties":false,"required":["attributes"],"properties":{"attributes":{"$ref":"#/components/schemas/EncryptedCardAttributes"}}}}},"EncryptedCardAttributes":{"type":"object","additionalProperties":false,"required":["encrypted_payment_data"],"properties":{"encrypted_payment_data":{"$ref":"#/components/schemas/EncryptedPaymentData"}}},"EncryptedPaymentData":{"type":"object","additionalProperties":false,"required":["encrypted_payload_text","public_key","key_hash"],"properties":{"digital_signature":{"type":"string","minLength":10,"maxLength":8192,"description":"Base64-encoded wallet signature."},"encrypted_payload_text":{"type":"string","minLength":20,"maxLength":20000,"description":"Base64-encoded encrypted wallet payload."},"key_hash":{"type":"string","minLength":44,"maxLength":44,"description":"Base64-encoded SHA-256 hash of the wallet public key. Apple Pay only."},"public_key":{"type":"string","minLength":20,"maxLength":2048,"description":"Base64-encoded ephemeral public key."},"version":{"$ref":"#/components/schemas/EncryptedPaymentDataVersion","default":"EC_v1"},"wallet_type":{"$ref":"#/components/schemas/WalletType","default":"apple_pay"},"wallet_transaction_id":{"type":"string","description":"transaction identifier","minLength":1,"maxLength":255},"payment_method":{"$ref":"#/components/schemas/WalletPaymentMethod"}}},"EncryptedPaymentDataVersion":{"type":"string","description":"The version of the encrypted payment data format used for the card request.","enum":["EC_v1"]},"WalletType":{"type":"string","description":"The digital wallet from which the card request originated.","enum":["apple_pay"]},"WalletPaymentMethod":{"type":"object","description":"Details about the payment method used","additionalProperties":false,"properties":{"display_name":{"type":"string","maxLength":255,"minLength":1,"description":"Human-readable payment method description"},"network":{"type":"string","maxLength":255,"minLength":1,"description":"Payment card network"},"type":{"type":"string","maxLength":255,"minLength":1,"description":"Card type"}}},"CardResourceResponse":{"title":"CardResourceResponse","type":"object","properties":{"data":{"properties":{"id":{"type":"string","title":"id","description":"Resource ID"},"type":{"type":"string","title":"Type","default":"cards"},"attributes":{"$ref":"#/components/schemas/CardResourceAttributes"}},"type":"object","required":["id","type","attributes"]},"metadata":{"$ref":"#/components/schemas/MetadataResponse"}},"additionalProperties":false,"required":["data","metadata"]},"CardResourceAttributes":{"type":"object","title":"CardResourceAttributes","description":"Full card information with extra fields like bin, last4, capabilities etc","allOf":[{"$ref":"#/components/schemas/CardAttributes"},{"$ref":"#/components/schemas/CardAttributeAliases"},{"properties":{"bin":{"type":"string","minLength":6,"maxLength":8,"description":"The leading six or eight digits of the related card are the issuer identification number (IIN) sometimes referred to as the bank identification number (BIN)."},"first8":{"type":"string","minLength":8,"maxLength":8,"description":"8 character Bank Identification Number (BIN). The first8 field will be returned in the card object only for Visa and Mastercard cards."},"last4":{"type":"string","minLength":4,"maxLength":4,"description":"Last 4 characters of the primary account number (pan/fpan)"},"card_fingerprint":{"type":"string","description":"Card Fingerprint"},"cvc_status":{"type":"string","description":"CVC Status"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"card_brand":{"type":"string","description":"The name of the card brand."},"card_type":{"type":"string","description":"The card type (credit, debit or prepaid)."},"enriched_attributes":{"$ref":"#/components/schemas/EnrichedCardAttributes","description":"Enriched card attributes containing additional metadata about the card. \nThis data provides detailed information about the card's capabilities, issuer \ndetails, and transaction support features.\n"},"wallet_details":{"$ref":"#/components/schemas/WalletDetails","description":"Details about the digital wallet associated with the card."}},"required":["bin","first8","last4","card_fingerprint","card_brand","card_type","created_at","updated_at","wallet_details"],"type":"object"}]},"CardAttributes":{"type":"object","properties":{"pan":{"type":"string","maxLength":19,"minLength":14,"title":"Primary Account Number","description":"The primary account number of the card. This field is omitted from non-PCI scope payload responses."},"cvc_status":{"type":"string","maxLength":10,"minLength":3,"title":"CVC Status","description":"The is an indicator that CVC was present during Create Card.\n"},"exp_month":{"type":"integer","maximum":12,"minimum":1,"title":"Expiration Month","description":"The expiration month of the card, as an integer between 1 and 12, where 1 is January, and 12 is December.\n"},"exp_year":{"type":"integer","maximum":99,"minimum":0,"title":"Expiration Year","description":"The expiration year of the card, as a 1-2 digit integer representing the decade portion of the year.\n"},"cardholder":{"$ref":"#/components/schemas/Cardholder","description":"Information about the cardholder, including name, email, address, and phone number. To achieve a high success rate with Amex Network Tokens, include card holder phone number and email address.\n"},"token_type":{"$ref":"#/components/schemas/TokenType"},"wallet_type":{"$ref":"#/components/schemas/WalletType"}},"required":["cvc_status","exp_month","exp_year","token_type","wallet_type"]},"Cardholder":{"type":"object","properties":{"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name","description":"The cardholder name."},"company":{"type":"string","maxLength":255,"title":"Company","description":"Company name."},"phone":{"type":"string","maxLength":16,"title":"Phone","description":"The phone number related to the card."},"email":{"type":"string","format":"email","description":"Email address of the account holder."},"address":{"$ref":"#/components/schemas/Address"}},"description":"Information about the cardholder, including name, email, address, and phone number. To achieve a high success rate with Amex Network Tokens, include card holder phone number and email address.\n"},"Address":{"properties":{"address1":{"type":"string","maxLength":255,"description":"The first line of the address related to the card."},"address2":{"type":"string","maxLength":255,"description":"The second line of the address related to the card."},"address3":{"type":"string","maxLength":255,"description":"The third line of the address related to the card."},"address4":{"type":"string","maxLength":255,"description":"The fourth line of the address related to the card."},"city":{"type":"string","maxLength":255,"description":"The city of the address related to the card."},"region":{"type":"string","maxLength":255,"description":"The region of the address related to the card."},"postal_code":{"type":"string","maxLength":10,"description":"The postal code of the address related to the card."},"country":{"type":"string","maxLength":3,"minLength":2,"description":"The country of the address related to the card. This must be the ISO 3166-1 alpha-2 or the ISO 3166-1 alpha-3 code. (ISO 3166-1)[https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3]\n"}},"type":"object","title":"Address"},"TokenType":{"type":"string","description":"The type of token being used for the card.","enum":["dpan","mpan"]},"CardAttributeAliases":{"type":"object","properties":{"pan_alias":{"type":"string","title":"PAN Alias","description":"The PAN alias is a reference identifier that stores or securely holds the actual PAN value.\n"},"cvc_alias":{"type":"string","maxLength":35,"minLength":30,"title":"CVC Alias","description":"The CVC Alias is a reference identifier that stores or securely holds the actual CVC value.\n"}},"required":["pan_alias"]},"EnrichedCardAttributes":{"type":"object","description":"Enriched card attributes from the card-attributes service","properties":{"card_properties":{"type":"object","properties":{"card_number_length":{"type":"integer","description":"The length of the Primary Account Number (PAN) printed on the front of the card. Available only for Card Attributes service subscribers.\n"},"card_segment_type":{"type":"string","description":"Indicator of Business, Consumer, Commercial, Government BINs. Available only for Card Attributes service subscribers."},"level_2":{"type":"boolean","description":"Indicator of Level 2 interchange rate eligibility.\n"},"level_3":{"type":"boolean","description":"Indicator of Level 3 interchange rate eligibility.\n"},"virtual_card":{"type":"boolean","description":"Indicates if the given BIN range supports virtual card creation. Available only for Card Attributes service subscribers.\n"},"prepaid_card":{"type":"boolean","description":"Indicates a fixed funding source for a card but not necessarily associated with the consumer's checking account. Available only for Card Attributes service subscribers.\n"},"product_name":{"type":"string","description":"The card product name according to the card brand (e.g., Visa Signature, Visa Infinite, Visa Classic). Available only for Card Attributes service subscribers.\n"},"issuer_bin":{"type":"string","description":"Bank Identification Number (BIN) of the issuer of the account. Available only for Card Attributes service subscribers."},"country_letter_code":{"type":"string","description":"ISO country letters that is associated with an ISO 3166-1 alpha-2 code."},"country_name":{"type":"string","description":"Name of the issuing country. Available only for Card Attributes service subscribers."},"country_numeric":{"type":"integer","description":"ISO 3166 numeric country code of the issuing country. Available only for Card Attributes service subscribers."}}},"card_capabilities":{"type":"object","properties":{"reloadable":{"type":"boolean","description":"Indicator of reloadable or non-reloadable prepaid. Available only for Card Attributes service subscribers."},"hsa":{"type":"boolean","description":"Indicates a card attached to a Health Savings Account. Available only for Card Attributes service subscribers."},"fsa":{"type":"boolean","description":"Indicates a card attached to Flexible Spending Account. Available only for Card Attributes service subscribers."},"ebt":{"type":"boolean","description":"Indicates the BIN has Electronic Benefits Transfer (EBT) capabilities. Available only for Card Attributes service subscribers."}}},"bank":{"type":"object","properties":{"issuer_name":{"type":"string","description":"Name of the issuing organization/bank."},"issuer_phone_number":{"type":"string","description":"Phone number of the issuing organization/bank. Available only for Card Attributes service subscribers."},"issuer_website":{"type":"string","description":"Website of the issuing organization/bank. Available only for Card Attributes service subscribers."}}},"additional_card_brands":{"type":"array","description":"Additional card brands, if any, associated with the card. Available only for Card Attributes service subscribers.","items":{"type":"object","required":["card_brand"],"properties":{"card_brand":{"type":"string","description":"The name of the additional card brand. Available only for Card Attributes service subscribers."}}}},"interchange":{"type":"object","properties":{"regulated":{"type":"string","description":"Indicator of the presence of an interchange regulation on a BIN. Available only for Card Attributes service subscribers."}}}}},"WalletDetails":{"type":"object","properties":{"currency_code":{"type":"string","maxLength":3,"minLength":3,"description":"ISO 4217 alpha 3 currency code for the transaction"},"amount":{"type":"integer","description":"Transaction amount in the given currency code's minor unit (e.g. cents for USD)","minimum":0},"device_manufacturer_identifier":{"type":"string","description":"Device manufacturer identifier for the card in the wallet."},"payment_data_type":{"$ref":"#/components/schemas/PaymentDataType"},"cryptogram":{"$ref":"#/components/schemas/CryptogramAttributes"},"merchant_token_identifier":{"type":"string","description":"Identifier for the merchant token associated with the wallet transaction"},"payment_method":{"$ref":"#/components/schemas/WalletPaymentMethod"},"transaction_id":{"type":"string","description":"Identifier for the wallet transaction"}}},"PaymentDataType":{"type":"string","description":"Type of the payment data encoding","enum":["3DSecure","MerchantToken"]},"CryptogramAttributes":{"type":"object","properties":{"type":{"type":"string","enum":["TAVV","DTVV"],"description":"Cryptogram type (defaults to TAVV)\n\nTAVV (Token Authentication Verification Value) and DTVV (Dynamic Token Verification Value) are cryptograms used to authenticate transactions and prevent fraud.\n\nCustomers can initiate transactions using VGS Network Tokens by generating a unique cryptogram.\n\n* TAVV: This cryptogram is specific to the network token and can be up to 32 characters long. When submitting transactions, networks may require merchants to specify the transaction type explicitly during cryptogram generation.\n* DTVV: Unlike TAVV, DTVV is a 3-characters long cryptogram that is currently supported only for Visa Network Tokens which can increase compatibility with some PSPs. To use DTVV, VGS must be enabled on a case-by-case basis. Merchants interested in enabling DTVV can reach out to support@verygoodsecurity.com for assistance.\n\nTo avoid declines, merchants and acquirers must ensure that:\n- TAVV and DTVV are new and unique for each authorization request\n- TAVV and DTVV are one-time use and not stored beyond the authorization request\n- The TAVV, DTVV, and electronic commerce indicator values provided by the token requester are unchanged when submitted for an authorization request\n"},"value":{"type":"string"},"eci":{"type":"string","description":"An Electronic Commerce Indicator (ECI) is a code that indicates the type of electronic transaction and the result of authentication for a payment.\n"}}},"MetadataResponse":{"type":"object","title":"MetadataResponse","properties":{"observability":{"$ref":"#/components/schemas/Observability"}},"required":["observability"]},"Observability":{"type":"object","title":"Observability","properties":{"trace_id":{"type":"string"},"client_id":{"type":"string"},"vault_id":{"type":"string"},"account_id":{"type":"string"},"fingerprint":{"type":"string"}},"required":["trace_id","client_id","vault_id","account_id","fingerprint"]},"ErrorResponse":{"properties":{"errors":{"items":{"properties":{"path":{"type":"string","title":"Path"},"summary":{"type":"string","title":"Summary"},"detail":{"type":"string","title":"Detail"},"error_code":{"type":"string","title":"Error Code"}},"type":"object","title":"Error"},"type":"array","title":"Errors","description":"A list of errors","required":["detail","error_code"]},"meta":{"$ref":"#/components/schemas/MetadataResponse","title":"Meta"}},"type":"object","title":"ErrorResponse","required":["errors","meta"]}}},"paths":{"/cards":{"post":{"tags":["Wallet Decryption"],"summary":"Create a card","description":"The Create Card allows clients to register a digital wallet credential in the Credential Management Platform (CMP) using an encrypted wallet payment token. Supported wallet types include Apple Pay.\n\nThe request accepts the encrypted wallet payload, which is securely decrypted by VGS to extract the underlying credential details and create a card linked to a specific account. Each request results in the creation of a new card and returns a 201 response with a new Card ID, even if the same DPAN or MPAN is submitted multiple times. Duplicate detection and deduplication logic are not supported for this card type.\n\nThe `payment_method` object (`display_name`, `network`, `type`) is optional in the request. If these fields are provided, their values will be echoed back in the response. If they are not included in the request, they will not be returned.\n","requestBody":{"required":true,"content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/EncryptedCardResourceRequest"}}}},"responses":{"201":{"description":"Card created","content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/CardResourceResponse"}}}},"400":{"content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"The request was invalid."},"401":{"content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"No credentials were provided, or the provided credentials were expired."},"403":{"content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Valid credentials were provided, but they do not permit access to this resource."},"422":{"content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"The server was unable to process the request because it contains invalid data."},"500":{"description":"Internal Server Error","content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Get a card

> The Get API allows clients to retrieve details for a specific digital wallet credential using its unique cardID.\
> \
> The response returns the stored card attributes derived from the decrypted wallet payload, including last four digits, expiration details, and any request-level attributes persisted at creation (such as \`payment\_method\`, if provided). If \`payment\_method\` fields were included during creation, they will be returned in the response. If not provided, they will not be present.\
> \
> \`cryptogram\`, \`currencyCode\`, \`transactionId\`, and \`amount\` are not returned in the GET response, as these are single-use wallet artifacts and are not persisted.<br>

```json
{"openapi":"3.1.0","info":{"title":"VGS Card Management Platform (CMP) API - POST /cards (encrypted only)","version":"doc version 2.2.9 | API version 1.0.0"},"tags":[{"name":"Wallet Decryption"}],"servers":[{"url":"https://sandbox.vgsapi.com","description":"Sandbox environment server used for integration and testing. Uses network sandboxes in addition to mocked data sources."},{"url":"https://vgsapi.com","description":"Live environment server used for production workloads."}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CardResourceResponseGet":{"title":"CardResourceResponseGet","type":"object","properties":{"data":{"properties":{"id":{"type":"string","title":"id","description":"Resource ID"},"type":{"type":"string","title":"Type","default":"cards"},"attributes":{"$ref":"#/components/schemas/CardResourceAttributesGet"}},"type":"object","required":["id","type","attributes"]},"metadata":{"$ref":"#/components/schemas/MetadataResponse"}},"additionalProperties":false,"required":["data","metadata"]},"CardResourceAttributesGet":{"type":"object","title":"CardResourceAttributesGet","description":"Full card information with extra fields like bin, last4, capabilities etc","allOf":[{"$ref":"#/components/schemas/CardAttributes"},{"$ref":"#/components/schemas/CardAttributeAliases"},{"properties":{"bin":{"type":"string","minLength":6,"maxLength":8,"description":"The leading six or eight digits of the related card are the issuer identification number (IIN) sometimes referred to as the bank identification number (BIN)."},"first8":{"type":"string","minLength":8,"maxLength":8,"description":"8 character Bank Identification Number (BIN). The first8 field will be returned in the card object only for Visa and Mastercard cards."},"last4":{"type":"string","minLength":4,"maxLength":4,"description":"Last 4 characters of the primary account number (pan/fpan)"},"card_fingerprint":{"type":"string","description":"Card Fingerprint"},"cvc_status":{"type":"string","description":"CVC Status"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"card_brand":{"type":"string","description":"The name of the card brand."},"card_type":{"type":"string","description":"The card type (credit, debit or prepaid)."},"enriched_attributes":{"$ref":"#/components/schemas/EnrichedCardAttributes","description":"Enriched card attributes containing additional metadata about the card. \nThis data provides detailed information about the card's capabilities, issuer \ndetails, and transaction support features.\n"},"wallet_details":{"$ref":"#/components/schemas/WalletDetailsGet","description":"Details about the digital wallet associated with the card."}},"required":["bin","first8","last4","card_fingerprint","card_brand","card_type","created_at","updated_at","wallet_details"],"type":"object"}]},"CardAttributes":{"type":"object","properties":{"pan":{"type":"string","maxLength":19,"minLength":14,"title":"Primary Account Number","description":"The primary account number of the card. This field is omitted from non-PCI scope payload responses."},"cvc_status":{"type":"string","maxLength":10,"minLength":3,"title":"CVC Status","description":"The is an indicator that CVC was present during Create Card.\n"},"exp_month":{"type":"integer","maximum":12,"minimum":1,"title":"Expiration Month","description":"The expiration month of the card, as an integer between 1 and 12, where 1 is January, and 12 is December.\n"},"exp_year":{"type":"integer","maximum":99,"minimum":0,"title":"Expiration Year","description":"The expiration year of the card, as a 1-2 digit integer representing the decade portion of the year.\n"},"cardholder":{"$ref":"#/components/schemas/Cardholder","description":"Information about the cardholder, including name, email, address, and phone number. To achieve a high success rate with Amex Network Tokens, include card holder phone number and email address.\n"},"token_type":{"$ref":"#/components/schemas/TokenType"},"wallet_type":{"$ref":"#/components/schemas/WalletType"}},"required":["cvc_status","exp_month","exp_year","token_type","wallet_type"]},"Cardholder":{"type":"object","properties":{"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name","description":"The cardholder name."},"company":{"type":"string","maxLength":255,"title":"Company","description":"Company name."},"phone":{"type":"string","maxLength":16,"title":"Phone","description":"The phone number related to the card."},"email":{"type":"string","format":"email","description":"Email address of the account holder."},"address":{"$ref":"#/components/schemas/Address"}},"description":"Information about the cardholder, including name, email, address, and phone number. To achieve a high success rate with Amex Network Tokens, include card holder phone number and email address.\n"},"Address":{"properties":{"address1":{"type":"string","maxLength":255,"description":"The first line of the address related to the card."},"address2":{"type":"string","maxLength":255,"description":"The second line of the address related to the card."},"address3":{"type":"string","maxLength":255,"description":"The third line of the address related to the card."},"address4":{"type":"string","maxLength":255,"description":"The fourth line of the address related to the card."},"city":{"type":"string","maxLength":255,"description":"The city of the address related to the card."},"region":{"type":"string","maxLength":255,"description":"The region of the address related to the card."},"postal_code":{"type":"string","maxLength":10,"description":"The postal code of the address related to the card."},"country":{"type":"string","maxLength":3,"minLength":2,"description":"The country of the address related to the card. This must be the ISO 3166-1 alpha-2 or the ISO 3166-1 alpha-3 code. (ISO 3166-1)[https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3]\n"}},"type":"object","title":"Address"},"TokenType":{"type":"string","description":"The type of token being used for the card.","enum":["dpan","mpan"]},"WalletType":{"type":"string","description":"The digital wallet from which the card request originated.","enum":["apple_pay"]},"CardAttributeAliases":{"type":"object","properties":{"pan_alias":{"type":"string","title":"PAN Alias","description":"The PAN alias is a reference identifier that stores or securely holds the actual PAN value.\n"},"cvc_alias":{"type":"string","maxLength":35,"minLength":30,"title":"CVC Alias","description":"The CVC Alias is a reference identifier that stores or securely holds the actual CVC value.\n"}},"required":["pan_alias"]},"EnrichedCardAttributes":{"type":"object","description":"Enriched card attributes from the card-attributes service","properties":{"card_properties":{"type":"object","properties":{"card_number_length":{"type":"integer","description":"The length of the Primary Account Number (PAN) printed on the front of the card. Available only for Card Attributes service subscribers.\n"},"card_segment_type":{"type":"string","description":"Indicator of Business, Consumer, Commercial, Government BINs. Available only for Card Attributes service subscribers."},"level_2":{"type":"boolean","description":"Indicator of Level 2 interchange rate eligibility.\n"},"level_3":{"type":"boolean","description":"Indicator of Level 3 interchange rate eligibility.\n"},"virtual_card":{"type":"boolean","description":"Indicates if the given BIN range supports virtual card creation. Available only for Card Attributes service subscribers.\n"},"prepaid_card":{"type":"boolean","description":"Indicates a fixed funding source for a card but not necessarily associated with the consumer's checking account. Available only for Card Attributes service subscribers.\n"},"product_name":{"type":"string","description":"The card product name according to the card brand (e.g., Visa Signature, Visa Infinite, Visa Classic). Available only for Card Attributes service subscribers.\n"},"issuer_bin":{"type":"string","description":"Bank Identification Number (BIN) of the issuer of the account. Available only for Card Attributes service subscribers."},"country_letter_code":{"type":"string","description":"ISO country letters that is associated with an ISO 3166-1 alpha-2 code."},"country_name":{"type":"string","description":"Name of the issuing country. Available only for Card Attributes service subscribers."},"country_numeric":{"type":"integer","description":"ISO 3166 numeric country code of the issuing country. Available only for Card Attributes service subscribers."}}},"card_capabilities":{"type":"object","properties":{"reloadable":{"type":"boolean","description":"Indicator of reloadable or non-reloadable prepaid. Available only for Card Attributes service subscribers."},"hsa":{"type":"boolean","description":"Indicates a card attached to a Health Savings Account. Available only for Card Attributes service subscribers."},"fsa":{"type":"boolean","description":"Indicates a card attached to Flexible Spending Account. Available only for Card Attributes service subscribers."},"ebt":{"type":"boolean","description":"Indicates the BIN has Electronic Benefits Transfer (EBT) capabilities. Available only for Card Attributes service subscribers."}}},"bank":{"type":"object","properties":{"issuer_name":{"type":"string","description":"Name of the issuing organization/bank."},"issuer_phone_number":{"type":"string","description":"Phone number of the issuing organization/bank. Available only for Card Attributes service subscribers."},"issuer_website":{"type":"string","description":"Website of the issuing organization/bank. Available only for Card Attributes service subscribers."}}},"additional_card_brands":{"type":"array","description":"Additional card brands, if any, associated with the card. Available only for Card Attributes service subscribers.","items":{"type":"object","required":["card_brand"],"properties":{"card_brand":{"type":"string","description":"The name of the additional card brand. Available only for Card Attributes service subscribers."}}}},"interchange":{"type":"object","properties":{"regulated":{"type":"string","description":"Indicator of the presence of an interchange regulation on a BIN. Available only for Card Attributes service subscribers."}}}}},"WalletDetailsGet":{"type":"object","properties":{"device_manufacturer_identifier":{"type":"string","description":"Device manufacturer identifier for the card in the wallet."},"payment_data_type":{"$ref":"#/components/schemas/PaymentDataType"},"merchant_token_identifier":{"type":"string","description":"Identifier for the merchant token associated with the wallet transaction"},"payment_method":{"$ref":"#/components/schemas/WalletPaymentMethod"}},"additionalProperties":false},"PaymentDataType":{"type":"string","description":"Type of the payment data encoding","enum":["3DSecure","MerchantToken"]},"WalletPaymentMethod":{"type":"object","description":"Details about the payment method used","additionalProperties":false,"properties":{"display_name":{"type":"string","maxLength":255,"minLength":1,"description":"Human-readable payment method description"},"network":{"type":"string","maxLength":255,"minLength":1,"description":"Payment card network"},"type":{"type":"string","maxLength":255,"minLength":1,"description":"Card type"}}},"MetadataResponse":{"type":"object","title":"MetadataResponse","properties":{"observability":{"$ref":"#/components/schemas/Observability"}},"required":["observability"]},"Observability":{"type":"object","title":"Observability","properties":{"trace_id":{"type":"string"},"client_id":{"type":"string"},"vault_id":{"type":"string"},"account_id":{"type":"string"},"fingerprint":{"type":"string"}},"required":["trace_id","client_id","vault_id","account_id","fingerprint"]},"ErrorResponse":{"properties":{"errors":{"items":{"properties":{"path":{"type":"string","title":"Path"},"summary":{"type":"string","title":"Summary"},"detail":{"type":"string","title":"Detail"},"error_code":{"type":"string","title":"Error Code"}},"type":"object","title":"Error"},"type":"array","title":"Errors","description":"A list of errors","required":["detail","error_code"]},"meta":{"$ref":"#/components/schemas/MetadataResponse","title":"Meta"}},"type":"object","title":"ErrorResponse","required":["errors","meta"]}}},"paths":{"/cards/{card_id}":{"get":{"tags":["Wallet Decryption"],"summary":"Get a card","description":"The Get API allows clients to retrieve details for a specific digital wallet credential using its unique cardID.\n\nThe response returns the stored card attributes derived from the decrypted wallet payload, including last four digits, expiration details, and any request-level attributes persisted at creation (such as `payment_method`, if provided). If `payment_method` fields were included during creation, they will be returned in the response. If not provided, they will not be present.\n\n`cryptogram`, `currencyCode`, `transactionId`, and `amount` are not returned in the GET response, as these are single-use wallet artifacts and are not persisted.\n","parameters":[{"name":"card_id","in":"path","required":true,"schema":{"type":"string","title":"Card Id"}}],"responses":{"200":{"description":"Item requested by ID","content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/CardResourceResponseGet"}}}},"401":{"content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"No credentials were provided, or the provided credentials were expired."},"403":{"content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Valid credentials were provided, but they do not permit access to this resource."},"404":{"content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}},"description":"Resource not found."},"500":{"description":"Internal Server Error","content":{"application/vnd.api+json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"503":{"description":"Service Unavailable","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```
